This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 589737 - Review Request: python-ipaddr - A python library for working with IP addresses, both IPv4 and IPv6
Review Request: python-ipaddr - A python library for working with IP addresse...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-06 15:22 EDT by Leon Keijser
Modified: 2013-08-20 08:13 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-ipaddr-2.1.1-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-25 14:36:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Leon Keijser 2010-05-06 15:22:53 EDT
Spec URL: http://leon.fedorapeople.org/files/python-ipaddr/python-ipaddr.spec
SRPM URL: http://leon.fedorapeople.org/files/python-ipaddr/python-ipaddr-2.1.1-1.fc12.src.rpm
Description: python-ipaddr is a library for working with IP addresses, both IPv4 and IPv6.
It was developed by Google for internal use, and is now open source.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2169373
Comment 1 Peter Lemenkov 2010-05-07 04:54:02 EDT
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent

Workplace ~/Desktop: rpmlint python-ipaddr-2.1.1-1.fc14.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Workplace ~/Desktop: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (ASL 2.0) .
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

Sulaco ~/rpmbuild/SOURCES: sha256sum ipaddr-2.1.1.tar.gz*
2de0cc2dc1810ea1583c2072d52751b9d93e2e9ce283a8e38d6015ebed0d916c  ipaddr-2.1.1.tar.gz
2de0cc2dc1810ea1583c2072d52751b9d93e2e9ce283a8e38d6015ebed0d916c  ipaddr-2.1.1.tar.gz.1
Sulaco ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.


APPROVED.
Comment 2 Leon Keijser 2010-05-07 05:52:43 EDT
New Package CVS Request
=======================
Package Name: python-ipaddr
Short Description: A python library for working with IP addresses, both IPv4 and IPv6
Owners: leon
Branches: F-12 F-13 EL5
Comment 3 Kevin Fenzi 2010-05-08 22:18:12 EDT
cvs done.
Comment 4 Fedora Update System 2010-05-09 07:39:41 EDT
python-ipaddr-2.1.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-ipaddr-2.1.1-1.fc13
Comment 5 Fedora Update System 2010-05-09 07:39:48 EDT
python-ipaddr-2.1.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-ipaddr-2.1.1-1.fc12
Comment 6 Fedora Update System 2010-05-09 07:39:52 EDT
python-ipaddr-2.1.1-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-ipaddr-2.1.1-1.el5
Comment 7 Fedora Update System 2010-05-10 13:06:14 EDT
python-ipaddr-2.1.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-ipaddr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-ipaddr-2.1.1-1.fc12
Comment 8 Fedora Update System 2010-05-10 16:14:46 EDT
python-ipaddr-2.1.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-ipaddr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-ipaddr-2.1.1-1.el5
Comment 9 Fedora Update System 2010-05-10 17:50:51 EDT
python-ipaddr-2.1.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-ipaddr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-ipaddr-2.1.1-1.fc13
Comment 10 Fedora Update System 2010-05-25 14:36:02 EDT
python-ipaddr-2.1.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-05-25 14:38:13 EDT
python-ipaddr-2.1.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-05-25 20:02:51 EDT
python-ipaddr-2.1.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Adam Williamson 2013-08-17 02:21:53 EDT
Existing Package New git branch Request
=======================================
Package Name: python-ipaddr
Short Description: A python library for working with IP addresses, both IPv4 and IPv6
Owners: adamwill
Branches: EL6

The existing owner is unresponsive to a request to build this package for EL6 - https://bugzilla.redhat.com/show_bug.cgi?id=994741 - and I would like to build it as we need it to build OpenDMARC (https://bugzilla.redhat.com/show_bug.cgi?id=905304 ) for EL6 (python-ipaddr is in OpenDMARC's dep chain).

If the owner becomes responsive again I'll be happy to hand the branch over to him.
Comment 14 Leon Keijser 2013-08-19 03:03:19 EDT
Hi. Apologies for the delay in response. Please allow the branch (with me as the owner) so I can comply with Adam's request, Thanks!
Comment 15 Leon Keijser 2013-08-20 04:29:15 EDT
Package Change Request
======================
Package Name: python-ipaddr
New Branches: el6
Owners: leon
InitialCC: adamwill
Comment 16 Jon Ciesla 2013-08-20 08:13:21 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.